.. _str: https://docs.python.org/2/library/stdtypes.html

.. _string: ../../str

.. _vim.fault.VimFault: ../../vim/fault/VimFault.rst


vim.fault.InvalidName
=====================
    :extends:

        `vim.fault.VimFault`_

  A InvalidName fault is thrown when the name contains an invalid character or format.

Attributes:

    name (`str`_)

    entity (`str`_): is optional.




